CREATE PROCEDURE [dbo].[GetUserClaims]
	@alias VARCHAR(30)
AS
BEGIN
	SET NOCOUNT ON

	-- Main processing...
	-- Temp table to store user's Simple claims...
	DECLARE @simpleClaims TABLE
	(
		PersonnelNumber		VARCHAR(8)		NULL
		,Alias				VARCHAR(30)		NULL
		,FullName			VARCHAR(100)	NULL
		,CompanyCode		CHAR(4)			NULL
		,UserType			VARCHAR(20)		NULL
		,UserSubType		VARCHAR(20)		NULL
		,Manager			VARCHAR(20)		NULL
		,HROrg				VARCHAR(20)		NULL
		,HRPro				VARCHAR(20)		NULL
		,Partner			VARCHAR(20)		NULL
		,Leader				VARCHAR(20)		NULL
		,VP					VARCHAR(20)		NULL
		,CountryCode		CHAR(2)			NULL
		,Level				CHAR(2)			NULL
		,Profession			VARCHAR(40)		NULL
		,Discipline			VARCHAR(40)		NULL
		,StandardTitle		VARCHAR(40)		NULL
		,Blocked			CHAR(1)			NULL
		,BlockedRedirect	NVARCHAR(255)	NULL
		,VPAPersonnelNumber	VARCHAR(8)		NULL
		,VPAAlias			VARCHAR(30)		NULL
		,VPAFullName		VARCHAR(100)	NULL
	)

	-- Get user's Simple claims...
	-- Hardcoded for sample code
	INSERT INTO @simpleClaims
	VALUES('123456', @alias, 'FirstName LastName', '1010', 'fte', 'corp', 'manager', null, null, null, null, null, 'us', '62', 'ITOperations', 
	'IT Software Development Engineering', 'Senior IT SDE', '0', null, null, null, null)

	-- Return Simple claims...
	SELECT * FROM @simpleClaims

	-- Temp table to store user's Compound claims...
	DECLARE @CompoundClaims TABLE (CompoundClaim		VARCHAR(100)	NULL)
	
	-- Hardcoded for sample code
	INSERT INTO @CompoundClaims	VALUES('US+emp+corp')
	INSERT INTO @CompoundClaims	VALUES('1010+emp+corp')
	INSERT INTO @CompoundClaims	VALUES('emp+corp')
	INSERT INTO @CompoundClaims	VALUES('emp+corp+62')
	INSERT INTO @CompoundClaims	VALUES('1010+emp+corp+62')
	
	-- Return Compound claims...
	SELECT * FROM @CompoundClaims
END	

GO


