﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

using Microsoft.SharePoint;
using Microsoft.SharePoint.Administration;

namespace Microsoft.Sample.ContentWeb.ClaimsSecurity
{
    /// <summary>
    /// For SharePoint Hierarchical Object Store to store a database connectionstring.
    /// </summary>
    [Guid("56705e15-abd3-44f0-adea-91488da1a572")]
    public class ConnectionStringStorage : SPPersistedObject
    {
        [Persisted]
        private string m_connectionString;

        public ConnectionStringStorage()
        {
        }

        public ConnectionStringStorage(string name, SPPersistedObject parent)
            : base(name, parent)
        {
        }

        public ConnectionStringStorage(string name, SPPersistedObject parent, Guid guid)
            : base(name, parent, guid)
        {
        }

        public string ConnectionString
        {
            get { return m_connectionString; }
            set { m_connectionString = value; }
        }
    }
}
