﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using Microsoft.SharePoint.Administration;
using System.Diagnostics.CodeAnalysis;

namespace Microsoft.Sample.ContentWeb.ClaimsSecurity
{
    /// <summary>
    /// Data Access class for custom claims.
    /// </summary>
    class CustomClaimSourceDA
    {
        /// <summary>
        /// Connects to custom claim cource ContentWebAdminDB database to retrieve user claims.
        /// </summary>
        /// <param name="alias">user's alias</param>
        /// <returns>A dataset of simple and compound claim tables.</returns>

        [SuppressMessage("Microsoft.Reliability", "CA2000:DisposeObjectsBeforeLosingScope", Justification = "Low priority")]

        public static DataSet GetUserClaims(string alias, string connectionString)
        {
            DataSet dataSet = new DataSet("UserClaims");
            SqlCommand cmd = new SqlCommand();
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.CommandText = @"dbo.GetUserClaims";

            cmd.Connection = new SqlConnection(connectionString);

            // Adding input params...
            cmd.Parameters.Add(new SqlParameter("@alias", SqlDbType.NVarChar, 256)).Value = alias;

            using (cmd.Connection)
            {
                SqlDataAdapter adapter = new SqlDataAdapter();

                cmd.Connection.Open();
                adapter.SelectCommand = cmd;

                // Fill the DataSet.
                adapter.Fill(dataSet);
            }

            return dataSet;
        }
    }
}
